%bcond_with testsuite

Summary:      A Python interface to the CD Input and Control library
Name:         python-pycdio
Version:      2.1.1
Release:      2%{?dist}
License:      GPLv3+
URL:          http://www.gnu.org/software/libcdio/
Source0:      %pypi_source pycdio

BuildRequires: gcc python3-devel python3-setuptools libcdio-devel swig

%if %{with testsuite}
BuildRequires: python3-nose
%endif

%description
The pycdio (and libcdio) libraries encapsulate CD-ROM reading and control. Python programs
wishing to be oblivious of the OS- and device-dependent properties of a CD-ROM can use this library.

%package -n python3-pycdio
Summary:    A Python interface to the CD Input and Control library
Provides:    pycdio = %{version}-%{release}

%description -n python3-pycdio
The pycdio (and libcdio) libraries encapsulate CD-ROM reading and control. Python programs wishing to
be oblivious of the OS- and device-dependent properties of a CD-ROM can use this library.

%prep
%autosetup -n pycdio-%{version} -p1

%build
%py3_build

%install
%py3_install
chmod 755 %{buildroot}/%{python3_sitearch}/*.so

%check
%if %{with testsuite}
%python3 setup.py nosetests
%endif

%files -n python3-pycdio
%license COPYING
%doc README.rst ChangeLog AUTHORS NEWS.md THANKS
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/_pycdio*
%{python3_sitearch}/_pyiso9660*
%{python3_sitearch}/*.py
%{python3_sitearch}/pycdio-%{version}-py3*.egg-info/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-2
- Rebuilt for loongarch release

* Thu Sep 21 2023 Upgrade Robot <upbot@opencloudos.org> - 2.1.1-1
- Upgrade to version 2.1.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 Shuo Wang <abushwang@tencent.com> - 2.1.0-1
- initial build

